Ubuntu

mtop failed to install (wrong/no password)

Reported by dm on 2007-01-04
This bug affects 146 people
Affects Status Importance Assigned to Milestone
mtop (Debian)
Fix Released
Unknown
mtop (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: mtop

When I try to install mtop it uses empty password for mysql-root @ localhost (which at this time is not empty for a security reasons).
mtop works fine, but any time I operate with packages package-manager tries to configure mtop. It produces such message:
-------------------------
Errors were encountered while processing:
 mtop
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:
Setting up mtop (0.6.6-1.1) ...
ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: NO)
ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: NO)
dpkg: error processing mtop (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 mtop
---------------------------

Distribution: Ubuntu Feisty

Hello Andrés,

Thank you for maintaining mtop in Debian. I've noticed that it has quite
a few pending translations in the BTS and it would be a pity not to
include them in Etch.

In the context of the Debian l10n NMU campaign, I'm considering to NMU
your package about two weeks from now, to include the missing
translations, remove the reference to "mantis" and add the debconf
alternate.

An even better solution would be to switch to dbconfig-common for the
database setup. That would eliminate the need for specific translations
for this package at all. I'm not sure whether that's possible though.

Please let me know if you approve of or reject such an NMU.

thanks,
Thijs

Binary package hint: mtop

When I try to install mtop it uses empty password for mysql-root @ localhost (which at this time is not empty for a security reasons).
mtop works fine, but any time I operate with packages package-manager tries to configure mtop. It produces such message:
-------------------------
Errors were encountered while processing:
 mtop
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:
Setting up mtop (0.6.6-1.1) ...
ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: NO)
ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: NO)
dpkg: error processing mtop (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 mtop
---------------------------

Distribution: Ubuntu Feisty

Matthew McEachen (mrm-ubuntu) wrote :

Perhaps the mtop installation should use the /etc/mysql/debian.cnf credentials to create the mysqltop user (instead of root with no password).

glenstewart (glen-stewart) wrote :

I can confirm this same bug. And the reason "dm" identified is correct - my default mysql password for root HAS been changed as is recommended for any secure server.

I like Matthew's suggested fix.

The simplest way is to ask password at the installation. But I don't know,
perhaps it will cause some security risk.
And even when it is already installed, during update of the package it gives
errors.

On 5/5/07, glenstewart <email address hidden> wrote:
>
> I can confirm this same bug. And the reason "dm" identified is correct
> - my default mysql password for root HAS been changed as is recommended
> for any secure server.
>
> I like Matthew's suggested fix.
>
> --
> A package failed to install (apt, dpkg)
> https://bugs.launchpad.net/bugs/77980
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Ehm, this is still broken in Gutsy, can't be that hard? ;)

Daniel Hahler (blueyed) wrote :

I've been asked for a password during installation of mtop 0.6.6-1.2 in Hardy.
However, entering a wrong password there still makes the install fail and leaves the package in a broken state ("dpkg-reconfigure mtop" failed with "mtop is broken or not fully installed").

Workaround: purge the package and reinstall it.

Changed in mtop:
importance: Undecided → Medium
status: New → Triaged
Jean-Baptiste Lallement (jibel) wrote :

For those who are facing this issue and until a package dealing with it is released, a workaround is reset MySQL root password during install then reenable it:

$ mysql -u root -p

* Enter the following MySQL command:
>SET PASSWORD FOR root@localhost=PASSWORD('');QUIT;

* install mtop
apt-get install mtop

* Set MySQL root password to irs previous value:

$ mysql -u root -p
>SET PASSWORD FOR root@localhost=PASSWORD('YOURROOTPASSWORD');QUIT;

dm (dmitry-shaposhnik) wrote :

Package mtop acts well even when no account specified - it asks username and password interactively.

Hence I see two ways:
1. Use debian-sys-maint account by default
2. Try to use root record with no password. If fails - leave it blank, mtop will ask username and password interactively during each launch.

Actually, I'm installing it with a little hack - adding "exit 0" in the head of post-install script.

Johan Christiansen (johandc) wrote :

The installer still fails on hardy!

From the man file:

       The most convenient way to setup your system to use mtop is to create a database user called mysqltop which has no password. For security pur‐
       poses, this user should have all privileges set to N except Process_priv which must be set to Y.

       To grant these privileges, execute the following from the MySQL command prompt

       For mysql 4.0.2 and greater:

           mysql> grant super, reload, process on *.* to mysqltop;
           mysql> grant super, reload, process on *.* to mysqltop@localhost;
           mysql> flush privileges;

petski (petski) wrote :

I've marked some bugs as a duplicate of this one, because the source of the issues are the same: a user is created when the package is installed.

I've used Launchpad's PPA to build a new version of the package. Changelog:

   * New feature --local for mkill and mtop (to use /etc/mysql/debian.cnf)
     - Depend on libconfig-ini-simple-perl
   * Removed --idle option from mkill's documentation (isn't implemented)
   * Stripped create_user (postinst) because it was broken. There was also
     no need because mtop can be used non-local as well (LP: #77980)
   * Rewrote postrm
   * Satisfy lintian
     - Fixed debian-rules-ignores-make-clean-error
     - Fixed debian-rules-sets-DH_COMPAT
     - Bumped Standards-Version to 3.8.0

The debdiff is attached.

I would appreciate it if some of you test the package and add the outcome of your testing to this bug. If all is ok, I'll provide Debian (and upstream) with the changes I've made.

Instructions to install this new version (intrepid only):

$ sudo sh -c 'echo deb http://ppa.launchpad.net/petski/ubuntu intrepid main > /etc/apt/sources.list.d/LP77980.list'
$ sudo sh -c 'echo deb-src http://ppa.launchpad.net/petski/ubuntu intrepid main >> /etc/apt/sources.list.d/LP77980.list'
$ sudo apt-get update
$ sudo apt-get upgrade # Ignore warning about the unauthenticated mtop package
$ sudo mtop --local

If you see the two lines below, please ignore them while testing. These errors don't came from mtop, but from perl (see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=480428)

 Prototype mismatch: sub main::__LONG_MAX__ () vs none at /usr/lib/perl/5.10/_h2ph_pre.ph line 309.
 Constant subroutine __LONG_MAX__ redefined at /usr/lib/perl/5.10/_h2ph_pre.ph line 309.

To revert the changes you've made:

$ sudo rm -f /etc/apt/sources.list.d/LP77980.list
$ sudo apt-get update
$ sudo apt-get install 'mtop=0.6.6-1.2'

HTH

Changed in mtop:
status: Triaged → In Progress
assignee: nobody → petski
Peter Graves (peter-j-graves) wrote :
Download full text (3.5 KiB)

Thanks petski :)

I removed mtop on my system (I'd previously set the root pw to '' as a temporary workaround)
    pete@lap043:~$ sudo apt-get remove mtop
    [sudo] password for pete:
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages will be REMOVED
      mtop
    0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
    After this operation, 229kB disk space will be freed.
    Do you want to continue [Y/n]? Y
    (Reading database ... 214284 files and directories currently installed.)
    Removing mtop ...
    ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: NO)
    Processing triggers for man-db ...
    pete@lap043:~$ mysql -u root -p
    Enter password:
    Welcome to the MySQL monitor. Commands end with ; or \g.
    Your MySQL connection id is 63
    Server version: 5.0.67-0ubuntu6 (Ubuntu)

    Type 'help;' or '\h' for help. Type '\c' to clear the buffer.

    mysql> SET PASSWORD FOR root@localhost=PASSWORD('');QUIT;
    Query OK, 0 rows affected (0.03 sec)

    Bye
    pete@lap043:~$ sudo apt-get remove mtop
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Package mtop is not installed, so not removed
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Set the root password again, and then ran your instructions:
    pete@lap043:~$ sudo sh -c 'echo deb http://ppa.launchpad.net/petski/ubuntu intrepid main > /etc/apt/sources.list.d/LP77980.list'
    pete@lap043:~$ sudo sh -c 'echo deb-src http://ppa.launchpad.net/petski/ubuntu intrepid main >> /etc/apt/sources.list.d/LP77980.list'
    pete@lap043:~$ sudo apt-get update
    pete@lap043:~$ sudo apt-get upgrade

And then installed mtop without needing doing any changes in mysql! :)
    pete@lap043:~$ sudo apt-get install mtop
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following extra packages will be installed:
      libconfig-ini-simple-perl
    The following NEW packages will be installed
      libconfig-ini-simple-perl mtop
    0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
    Need to get 60.6kB of archives.
    After this operation, 295kB of additional disk space will be used.
    Do you want to continue [Y/n]? y
    WARNING: The following packages cannot be authenticated!
      mtop
    Install these packages without verification [y/N]? y
    Get: 1 http://ppa.launchpad.net intrepid/main mtop 0.6.6-1.2ubuntu2 [52.1kB]
    Get: 2 http://gb.archive.ubuntu.com intrepid/universe libconfig-ini-simple-perl 0.02-1 [8516B]
    Fetched 60.6kB in 22s (2754B/s)
    Preconfiguring packages ...
    Selecting previously deselected package libconfig-ini-simple-perl.
    (Reading database ... 214301 files and directories currently installed.)
    Unpacking libconfig-ini-simple-perl (from .../libconfig-ini-simpl...

Read more...

petski (petski) wrote :

I've made a small change to the previous uploaded debdiff. The new version is attached. Unfortunately Launchpad PPA seems to be down, so I can't rebuild the package. I will rebuild the package when PPA is available again.

MOTU, could you please review and sponsor the attached debdiff?

Once it is in jaunty, I'll request SRU (severe regressions: uninstallable)

Of course, I'll inform the Debian guys afterwards.

Brian Murray (brian-murray) wrote :

You might want to update your debdiff as the change log references Intrepid instead of Jaunty.

+mtop (0.6.6-1.2ubuntu3) intrepid; urgency=low

petski (petski) wrote :

You are right. I've uploaded the debdiff for intrepid because package versions in jaunty and intrepid are the same. Will pay more attention to it next time.

Attached file changes the versionnumber to "0.6.6-1.2ubuntu1" and release-name to "jaunty".

petski (petski) on 2009-01-22
Changed in mtop:
status: In Progress → Fix Committed
hgoor (vandegoor) wrote :

Hi, I followed instructions as per above but even after that I get errors:

root@ubuntu810:~# mtop
Prototype mismatch: sub main::__LONG_MAX__ () vs none at /usr/lib/perl/5.10/_h2ph_pre.ph line 291.
Constant subroutine __LONG_MAX__ redefined at /usr/lib/perl/5.10/_h2ph_pre.ph line 291.
Unable to execute show procs [Access denied; you need the PROCESS privilege for this operation]
Stack Trace:
    at main::__ANON__(/usr/bin/mtop:569)
    at main(/usr/bin/mtop:1202)

What is this?

petski (petski) wrote :

hgoor: The first two lines indicate an error which is not to be resolved in the mtop package. It's actually a warning perl gives. Please ignore it regarding this bugid. The rest of the lines indicate that the user with which mtop is trying to connect with the mysql-server doesn't have enough privileges. If your mysql-server runs locally you need to type "sudo mtop --local" instead. If the mysql-server is running remote, you need to specify the credentials. See "man mtop" for more information. HTH

Tag: patch

A bug simular to this one exists for Ubuntu (LP #77980 [1]). The debdiff for
Ubuntu is available [2] and could be used as a "template" to patch Debian's
mtop.

[1] https://bugs.launchpad.net/bugs/77980
[2] http://launchpadlibrarian.net/21527535/mtop.debdiff

petski (petski) wrote :

Grmbl, I've forgotten to add the new "--local" option to the output of "mtop --help". Will create a new debdiff for that, hopefully this weekend. Would be cool to get this fix included in Jaunty.

petski (petski) wrote :
Changed in mtop:
status: Fix Committed → Confirmed
Iain Lane (laney) wrote :

Hmm, I've just looked at this patch with the intent of sponsoring it, but have some remaining concerns.

Using the debian-sys-maint account (and therefore forcing root) , which is what --local does, seems sub-par; this user has more permissions than are actually needed to run mtop and therefore there are potential security risks. Is there any reason why dbconfig-common[0] can't be used properly to create the user? From a brief reading it seems like there's just a problem with the way dbconfig-common is used that could be fixed.

You removed the --idle option from the help output. Was that intentional?

README.Debian will need updating with whatever solution we go for.

[0] http://people.debian.org/~seanius/policy/dbconfig-common.html/

Changed in mtop:
status: Confirmed → Incomplete
Changed in mtop:
status: Unknown → New
Scott Kitterman (kitterman) wrote :

Unsubscribing UUS until the concerns have been addressed.

Mark Garrow (scunizi) wrote :

I just suffered this same bug on an 8.10 Intrepid machine that was upgraded from Hardy 8.04. Mtop is left in a state of non-functionality.

akincisor (ubuntu+launchpad) wrote :

This bug still exists in Karmic alpha. Nearly three years and this bug hasn't been fixed. I'm ashamed to be an Ubuntu user.

Is it so difficult to repair the problem?
  Bill Grant
Retired Silicon Valley Technologist

--- On Sun, 9/13/09, akincisor <email address hidden> wrote:

From: akincisor <email address hidden>
Subject: [Bug 77980] Re: mtop failed to install (wrong/no password)
To: <email address hidden>
Date: Sunday, September 13, 2009, 11:33 AM

This bug still exists in Karmic alpha. Nearly three years and this bug
hasn't been fixed. I'm ashamed to be an Ubuntu user.

--
mtop failed to install (wrong/no password)
https://bugs.launchpad.net/bugs/77980
You received this bug notification because you are a direct subscriber
of a duplicate bug.

petski (petski) wrote :

This piece of software is mainly maintained by volunteers in their spare time. As always, help is more than welcome.

I've made an attempt to fix this bug [1], but this fix wasn't approved by MOTU [2]. To fix this issue, one should dig into the dbconfig documentation. The main thing to figure out is how to create a database user without creating a database, using dbconfig. Indeed, this shouldn't be too hard. (Maybe you can even look how packages like 'mytop' [3] resolve this problem)

Unfortunately, I don't have enough spare time to ix this issue. Therefor, I just removed my assignment for this bug.

[1] https://bugs.launchpad.net/ubuntu/+source/mtop/+bug/77980/comments/9
[2] https://bugs.launchpad.net/ubuntu/+source/mtop/+bug/77980/comments/18
[3] http://packages.ubuntu.com/jaunty/mytop

Changed in mtop (Ubuntu):
assignee: petski (petski) → nobody
petski (petski) on 2009-09-16
Changed in mtop (Ubuntu):
status: Incomplete → Confirmed

Package: mtop
Version: 0.6.6-1.3
Severity: normal

mtop seems not installable when mysql root user has a password. When installing or updating dpkg reports:

setting up mtop (0.6.6-1.3) ...
ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: NO)
ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: NO)
dpkg: error processing mtop (--configure):
 subprocess installed post-installation script returned error exit status 1

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (800, 'testing'), (500, 'stable'), (200, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages mtop depends on:
ii debconf [debconf-2.0] 1.5.28 Debian configuration management sy
ii libcurses-perl 1.27-2 Curses interface for Perl
ii libdbd-mysql-perl 4.012-1+b1 A Perl5 database interface to the
ii mysql-client-5.0 [mysq 5.0.51a-24+lenny2 MySQL database client binaries
ii perl 5.10.1-5 Larry Wall's Practical Extraction
ii perl-modules [libnet-p 5.10.1-5 Core Perl modules

Versions of packages mtop recommends:
ii mysql-server-5.0 [mysq 5.0.51a-24+lenny2 MySQL database server binaries

mtop suggests no packages.

-- debconf information:
  mtop/root: root
  mtop/mysql_port: 3306
  mtop/mysql_server: localhost

Can't believe from 2007 this bug hasn't been fixed yet.. and well anyway looks like such a simple bug it should have been fixed in an alpha release 0.1!
feel quite sad about this..

Andrew Keynes (linux-saint) wrote :

Just encountered this under lucid.

As mentioned above, all that is really needed is to remove the attempt to login as root during the post-install.

This package functions perfectly well without this step as it will still ask for a username & password to use when accessing the server if one hasn't been set up.

SabreWolfy (sabrewolfy) wrote :

Workaround and alternative package (neither of which I can vouch for as I have not tested either yet) here:

http://linhost.info/2009/03/mtop-installation-problem-on-ubuntudebian/

Daniel T Chen (crimsun) wrote :

I tend to agree with Andrew's observation in comment #29. Unless there is vociferous opposition, I plan to kill the relevant hunks from debian/mtop.post*

Luis Lobo (luislobo) wrote :

I have just encountered this in ubuntu 10.10. How can I get rid of the message when doing apt-get install (for other tools)?

I keep getting that message...

chris erway (cce) wrote :

Guys, seriously, just remove those lines from the post-install script. This is ridiculous.

chris erway (cce) wrote :

Quick DIY workaround for anyone who encounters this (requires dpkg build tools):

sudo apt-get build-dep mtop
sudo apt-get source mtop
cd mtop-0.6.6
emacs debian/mtop.postinst
# comment out or remove all lines between "configure)" and ";;"
dpkg-buildpackage
# ignore the signature error, since aren't the package maintainer and aren't sending this deb to anyone
cd ..
# package is built and ready in parent directory
sudo dpkg -i mtop_0.6.6-1.3_all.deb # (your version number may vary)

OK so, myself included, that's four people saying "just remove the
line(s) from post-install" to solve this bug.

...Packager(s) - do you have any reservations about doing this? concerns?

Kind regards,
-Paul Reiber
Email: <email address hidden>
Web: http://bit.ly/reiber

On Fri, May 13, 2011 at 11:04 AM, chris erway <email address hidden> wrote:
> Guys, seriously, just remove those lines from the post-install script.
> This is ridiculous.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/77980
>
> Title:
>  mtop failed to install (wrong/no password)
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/mtop/+bug/77980/+subscribe
>

Chris,

We were just asking for help. Won't make that mistake again.

~Daniel Earl

On Fri, May 13, 2011 at 9:04 AM, chris erway <email address hidden>wrote:

> Guys, seriously, just remove those lines from the post-install script.
> This is ridiculous.
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (776506).
> https://bugs.launchpad.net/bugs/77980
>
> Title:
> mtop failed to install (wrong/no password)
>
> Status in “mtop” package in Ubuntu:
> Confirmed
> Status in “mtop” package in Debian:
> New
>
> Bug description:
> Binary package hint: mtop
>
> When I try to install mtop it uses empty password for mysql-root @
> localhost (which at this time is not empty for a security reasons).
> mtop works fine, but any time I operate with packages package-manager
> tries to configure mtop. It produces such message:
> -------------------------
> Errors were encountered while processing:
> mtop
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> A package failed to install. Trying to recover:
> Setting up mtop (0.6.6-1.1) ...
> ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using
> password: NO)
> ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using
> password: NO)
> dpkg: error processing mtop (--configure):
> subprocess post-installation script returned error exit status 1
> Errors were encountered while processing:
> mtop
> ---------------------------
>
> Distribution: Ubuntu Feisty
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/mtop/+bug/77980/+subscribe
>

Aaron B. Russell (aaronr) wrote :

This bug was first reported six and a half years ago on the Debian tracker. The mtop package was removed from Debian unstable in late 2010, so if this is going to be fixed, it probably needs to be fixed in Ubuntu as it doesn't look like we're going to get a fix from upstream.

This probably also means that there IS no maintainer for this package right now. I'm not sure what the correct process is for resolving that, though. Can anyone chime in on next steps to get this moving forward, please? This has gone on far too long.

Changed in mtop (Debian):
status: New → Fix Released

Just confirming that comment #34 more or less works. Thanks.

Amit Kucheria (amitk) wrote :

Confirming #34

PeterBocz (boczpeter) wrote :

FYI, this bug is still present in 10.10 in 2012.

freakie (freakie2007) wrote :

Oh I thought the problem already resolve. Just follow the mtop setup.
http://mtop.sourceforge.net/mtop.html#setup. after that it work just fine.

On Sun, Feb 12, 2012 at 3:15 AM, PeterBocz <email address hidden> wrote:

> FYI, this bug is still present in 10.10 in 2012.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (627617).
> https://bugs.launchpad.net/bugs/77980
>
> Title:
> mtop failed to install (wrong/no password)
>
> Status in “mtop” package in Ubuntu:
> Confirmed
> Status in “mtop” package in Debian:
> Fix Released
>
> Bug description:
> Binary package hint: mtop
>
> When I try to install mtop it uses empty password for mysql-root @
> localhost (which at this time is not empty for a security reasons).
> mtop works fine, but any time I operate with packages package-manager
> tries to configure mtop. It produces such message:
> -------------------------
> Errors were encountered while processing:
> mtop
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> A package failed to install. Trying to recover:
> Setting up mtop (0.6.6-1.1) ...
> ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using
> password: NO)
> ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using
> password: NO)
> dpkg: error processing mtop (--configure):
> subprocess post-installation script returned error exit status 1
> Errors were encountered while processing:
> mtop
> ---------------------------
>
> Distribution: Ubuntu Feisty
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/mtop/+bug/77980/+subscriptions
>

Brian Murray (brian-murray) wrote :

mtop has been removed from both Debian and Ubuntu and is no longer available in the archive.

Changed in mtop (Ubuntu):
status: Confirmed → Won't Fix
Marian (mnion) wrote :

Yes, that's the easiest way to fix a bug: remove the package "from both Debian and Ubuntu and is no longer available in the archive"!

Good job guys!

Check out mytop, its a better alternative.

--
Oliver O'Neill

On 10/05/12 08:48, Marian wrote:
> Yes, that's the easiest way to fix a bug: remove the package "from both
> Debian and Ubuntu and is no longer available in the archive"!
>
> Good job guys!
>

Marian (mnion) wrote :

Yes, IMHO that should have been the good way to close a certain kind of bugs: "use package X that supercedes the buggy package Y".

To be fair, based o the length of this conversation, this issue has been going far too long.

Previous comments : easiest way to fix a bug: remove the package "from both Debian and Ubuntu and is no longer available in the archive"!

Personally, this is still available and isn't fixed (I tried install and it failed. Below is the second attempt) ...

[code]
me@server:~$ sudo apt-get -y install mtop
Reading package lists... Done
Building dependency tree
Reading state information... Done
mtop is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up mtop (0.6.6-1.3) ...
ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: NO)
ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: NO)
dpkg: error processing mtop (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 mtop
E: Sub-process /usr/bin/dpkg returned an error code (1)
[/code]

PaulReiber (paulreiber) wrote :

Dear Canonical,

Has anyone asked upstream to remove the line from post install? What
was their response?

Should we be going around launchpad to get this fixed instead of through it?

Kind regards,
-Paul Reiber
Email: <email address hidden>
Web: http://bit.ly/reiber

On Tue, Jun 5, 2012 at 1:35 AM, Aubs <email address hidden> wrote:
> To be fair, based o the length of this conversation, this issue has been
> going far too long.
[..]
> Personally, this is still available and isn't fixed (I tried install and
> it failed. Below is the second attempt) ...
[...]

Charles Helwig (helwig48744) wrote :

I've been looking for a way to get UBUNTU 11.04 of my computer. I hate this piece of Shit. It always takes me back to the sign in page over and over when ever it pleases. I can't do anything with my computer that requires any time.

--- On Tue, 6/5/12, PaulReiber <email address hidden> wrote:

From: PaulReiber <email address hidden>
Subject: Re: [Bug 77980] Re: mtop failed to install (wrong/no password)
To: <email address hidden>
Date: Tuesday, June 5, 2012, 6:14 AM

Dear Canonical,

Has anyone asked upstream to remove the line from post install?  What
was their response?

Should we be going around launchpad to get this fixed instead of through
it?

Kind regards,
-Paul Reiber
Email: <email address hidden>
Web: http://bit.ly/reiber

On Tue, Jun 5, 2012 at 1:35 AM, Aubs <email address hidden> wrote:
> To be fair, based o the length of this conversation, this issue has been
> going far too long.
[..]
> Personally, this is still available and isn't fixed (I tried install and
> it failed. Below is the second attempt) ...
[...]

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/77980

Title:
  mtop failed to install (wrong/no password)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mtop/+bug/77980/+subscriptions

monochromec (monochromec) wrote :

Hi Charles,

Please note that this platform is for the discussion and resolution of technical issues regarding this Linux distribution ONLY so please refrain from flaming if at all possible.

There seems to be a lot of frustration on your side regarding an installation of Ubuntu on a computer which I fully appreciate in difficult technical circumstances. Excellent support places where to look for your issues are ubuntuforums.org, and help.ubuntu.com (the official docs site from Canonical) to name but a few. www.ubuntu.com/support/community also is a good starting point for technical support from the community. And last but not least google - given the right query terms - often yields surprisingly concise pointers to information for issue resolution as well.

Hope that helps!

   Regards, Chris

rob cain (rcain-3) wrote :

Please can someone give me at leaast a work around for this problem.

I am currently lumbered with Ubuntu 10.04 by my ISP (& cannot upgrade to 12.04 without completely redepolying my server) - and this issue is preventing me installing ANY packages it seems. ie. renders whole server pretty useless.

I have tried workarounds as suggested here - http://www.pkdavies.co.uk/66-mtop-access-denied-for-user-root.html - and elsewhere - creating mysql root user with (temporarily) NO password and limted privileges (PROCESS only).

But, when i run:

apt-get install mtop

it says now:

...
Setting up mtop (0.6.6-1.3) ...
ERROR 1044 (42000): Access denied for user 'root'@'localhost' to database 'mysql'
ERROR 1044 (42000) at line 2: Access denied for user 'root'@'localhost' to database 'mysql'
dpkg: error processing mtop (--configure):
...

(whereas previously it was saying:
...
Setting up mtop (0.6.6-1.3) ...
ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: NO)
ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: NO)
dpkg: error processing mtop (--configure):
...
)

 - does this mean:
a) i also have to create a (dummy) database named 'mysql' (as well as 'root' user)?
b) i have to set mysql root password to NULL EVERY time i want to use apt-get?

 - this all looks as if its getting pretty diabolical to even attempt a work around in this way.

(My original objective was simply to install fail2ban in order to thwart aggressive brute-force attacks brning my server down - and that failing install has led in turn to this can of worms).

My (customer) system is rendered useless as it is.

Please could someone give me some guidance here as to the best way to get over this problem?

rob cain (rcain-3) wrote :

OK - i just uninstalled mtop altogether using:

apt-get purge mtop

 - complained a bit but seems to have worked and nothing appears broken as a result (so far).

installed mytop instead - which works (& uses a password protected mysql user id!). all other apt-get install's now seem to work ok as well, including apt-get install fail2ban - which mtop was breaking before.

hope this helps someone.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.